<?php		
session_start();


require_once ("../../config/Cado.php");

require_once ("../producto/cCatalogo.php");
$oCatalogo = new cCatalogo();

require_once("../producto/cProductomarcacodigo.php");
$oProductomarcacodigo = new cProductomarcacodigo();

require_once ("../formatos/formato.php");


if(isset($_SESSION['venta_catid'])){
	$num_rows=count($_SESSION['venta_catid']);
	if($num_rows==0)$num_rows="";
}else{
	$num_rows="";
}


?>

<style>
	#tabla_venta_car td{
		vertical-align: middle;
		padding: 4px 4px !important;
	}
	#tabla_venta_car td.editable,#tabla_venta_car td.editable *{
		cursor: text !important;
		height: 100%; 
		border-bottom-color: #ccc;
		border-bottom-style: dashed; 
		border-bottom-width: 0.5px;
	}
	#tabla_venta_car td.editando{
		background-color: rgba(18, 180, 243, 0.05);
		outline: 2px solid #35A4F3;
	}
	#tabla_venta_car td input{
		height: 100%;
		width: 100%;
		box-sizing: border-box;
		display: inline-block;
		border: none;
		background: transparent;
		color:#fff;
		font-size:16px;
	}
	#tabla_venta_car td input:focus{
		background: transparent;
		height: 100%;
		width: 100%;
		outline: none;
		border: none;
	}
	#tabla_venta_car td input[readonly]{
		background: transparent;
	}
</style> 

<?php 
//if($_POST['vista']=='cotizacion'){
?>	
	
	
	
<?php 
// }else {}
?>

 <div class="table-responsive">

	<input name="hdd_ven_numite" id="hdd_ven_numite" type="hidden" value="<?php echo $num_rows?>">


	<table id="tabla_venta_car" class="table table-bordered table-striped">
		<thead>
			<tr>
				<th>CÓDIGO</th>
			<!--	<th nowrap style="width:50px;" >ESTADO</th>
			-->	
				<th nowrap >ARTÍCULO</th>
				<th nowrap >LABORATORIO</th>
				<th nowrap >UNIDAD</th>
				<th align="right">CANT</th>
				<th align="right" >P. UNI.</th>		
				
				<th align="right" >VAL. TOTAL</th>
				<th align="right" >IGV TOTAL.</th>
				<th align="right" >PRECIO TOTAL.</th>
				<th width="25">&nbsp;</th>
			</tr>
		</thead>		 

		<tbody>
			<?php 
			
			$total = 0;
			if($num_rows>0){
				
				foreach($_SESSION['venta_catid'] as $indice=>$cantidad) {

				
			$dts1=$oCatalogo->mostrarUno($_SESSION['venta_catid'][$indice],$_SESSION['venta_marid'][$indice]);
			$dt1 = mysqli_fetch_array($dts1);
			
			
			
			$can=$_SESSION['venta_can'][$indice];		
			$precio_uni=$_SESSION['venta_preven'][$indice];
			$des_uni=$_SESSION['venta_des'][$indice];
				
			$pre_uni=$precio_uni;
			$valor_uni = $pre_uni / 1.18;
			$igv_uni = $pre_uni - $valor_uni;
			
			
			$val_tot = $valor_uni * $can;
			$igv_tot = $igv_uni * $can;
			
			$pre_tot = $pre_uni * $can;
			
			$des_tot = $des_uni * $can;
			
			$pre_tot_cdes = $pre_tot - $des_tot;
			
			$total	+=$pre_tot_cdes;			
			
			/* 
			$rscod = $oProductomarcacodigo->mostrarUno($dt1['tb_catalogo_id'],'1');
			$dtcod = mysqli_fetch_array($rscod);
			
			$codpri = $dtcod['tb_productomarcacodigo_cod']; */
				
			if($_SESSION['venta_est'][$indice]=='1'){
				$color = '';
			}else if($_SESSION['venta_est'][$indice]=='2'){
				$color="text-red";
			}	
		
			?>
			
			<tr>
						<td ><?php echo $dt1['tb_producto_id']; ?></td>
						
					<!--	<td nowrap style="width:80px;" >
						<select name="" style="width:140px;" nowrap 
						data-preven="<?php echo formato_money($pre_uni) ?>" 
						data-original="<?php echo formato_money($pre_uni) ?>" 
						data-tipdes="<?php echo $tipdes ?>" 
						data-est="<?php echo $_SESSION['venta_est'][$indice];?>"
						data-mar_id ="<?php echo $dt1['tb_marca_id'] ?>" 
						data-cantidad="<?php echo $can ?>"
						data-cat_id="<?php echo $dt1['tb_catalogo_id'] ?>"
						data-des="<?php echo formato_money($des_uni) ?>"
					 class="form-control  cmb_estado <?php echo $color;?>" >
						<option value="1" <?php if($_SESSION['venta_est'][$indice]=='1') echo 'selected'; ?> >ENTREGADO</option>
						<option value="2" <?php if($_SESSION['venta_est'][$indice]=='2') echo 'selected';?>  >POR ENTREGAR</option>
						</select>
						
						</td>
						-->
						<td nowrap style="font-size:10pt; font-weight:bold"><?php echo $dt1['tb_producto_nom']?></td>
						<td nowrap class="text-warning" ><?php echo $dt1['tb_marca_nom']?></td>
						<td nowrap ><?php echo $dt1['tb_unidad_nom']?></td>
			
			<td align="right" width="50" class="editable" style="font-size:9pt; font-weight:bold">
				<input type="text" value="<?php echo $can ?>" data-cantidad="<?php echo $can ?>" 
				data-original="<?php echo $can ?>" readonly data-cat_id="<?php echo $dt1['tb_catalogo_id'] ?>"
				data-tipdes="<?php echo $tipdes ?>" data-est="<?php echo $_SESSION['venta_est'][$indice];?>" 
				data-mar_id ="<?php echo $dt1['tb_marca_id'] ?>" style="text-align: right;">
			</td>
						
			
			
		
			<td align="right" width="70" style="font-size: 11pt; font-weight: bold;"> 
			<strong class="text-warning"> <?php echo formato_money($pre_uni)?> </strong> </td>
			<td align="right" width="70" style="font-size: 11pt; font-weight: bold;"> 
			<strong class="text-warning"> <?php echo formato_money($val_tot)?> </strong> </td>
			
			<td align="right" width="70" style="font-size: 11pt; font-weight: bold;"> 
			<strong class="text-warning"> <?php echo formato_money($igv_tot)?> </strong> </td>
		
			<td align="right" width="70" style="font-size: 12pt; font-weight: bold;"> 
			<strong class="text-warning"> <?php echo formato_money($pre_tot)?> </strong> </td>
						
						<td align="center" nowrap="nowrap"> 
						<!--	<span  title="Editar" class="btn btn-primary btn-sm btn_editar" ><i class="fa fa-pencil"></i></span>
							-->
							<span data-indice ="<?php echo $indice; ?>" class="btn btn-danger btn-sm btn_eliminar" style="cursor:pointer" ><i class="fas fa-times"></i></span> 		
						<!--	<span class="btn btn-primary btn-sm" id="demo-ajax_<?php echo $dt1['tb_catalogo_id'] ?>" ><i class="fa fa-info"></i></span> 	
						-->
						</td>				
					</tr>
			
			
			<?php
					mysqli_free_result($dts1);
				}
				
				$total_valorventa =$total/1.18;
			$total_igv	=$total_valorventa * 0.18;
			}
			?>
		</tbody>

	</table>
	<br>
	<?php 
	if($num_rows=="" or $num_rows==0)
		echo 'Ningún producto agregado. <input type="hidden" id="evaluar_cantidad_items_venta" value="'.$cantidad_productos.'">';
	if($num_rows==1)
		echo $num_rows.' producto agregado. <input type="hidden" id="evaluar_cantidad_items_venta" value="'.$cantidad_productos.'">';
	if($num_rows>=2)
		echo $num_rows.' productos agregados. <input type="hidden" id="evaluar_cantidad_items_venta" value="'.$cantidad_productos.'">';
	
	

	?>

</div>

		
	<div class="col-lg-12 col-sm-12 col-xs-6">
							<div class="row">

							<div class="col-lg-2 col-sm-6 col-xs-6">
								<label>Operacion Gravada:</label>
								<input name="txt_ven_valven" type="text"class="form-control" id="txt_ven_valven" readonly  style="text-align:right;font-weight: bold;" value="<?php echo formato_money($total_valorventa)?>"  > 							
							</div>
						
							<div class="col-lg-2 col-sm-6  col-xs-6">
								<label>IGV:</label>
								<input name="txt_ven_igv" type="text" class="form-control" id="txt_ven_igv" readonly style="text-align:right;font-weight: bold;" value="<?php echo formato_money($total_igv)?>"   > 
							</div>
							<div class="col-lg-2 col-sm-6  col-xs-6">
								<label>DSCT:</label>
								<input name="txt_ven_des" type="text" class="form-control" id="txt_ven_des" readonly style="text-align:right;font-weight: bold;" value="<?php echo formato_money($des_tot)?>"   > 
							</div>	
							<div class="col-lg-2 col-sm-6  col-xs-6">
								<label>TOTAL:</label>
								<input name="txt_ven_tot" type="text" class="form-control" id="txt_ven_tot" readonly style="text-align:right;font-weight: bold;" value="<?php echo formato_money($total)?>" > 
							</div>
							
							</div>
		</div>

				
			
		
</div>



<script type="text/javascript" src="../cotizacion/NumberFormat.js"></script>

<script>
/* 
	function calcular_vuelto(){
		var importe = $("#txt_importe_cliente").val();
		var total = $('#txt_ven_tot').val();	
		
		if(importe==""){
		$('#lbl_ven_vuelto').val('');	
		}
		else{
		
		$.ajax({
			type: "POST",
			url: "../venta/calcular_vuelto.php",
			async:true,
			dataType: "html",                      
			data: ({
				importe: importe,				
				total:	total
			}),
			beforeSend: function(){				

			},
			success: function(vuelto){
				$('#lbl_ven_vuelto').val(vuelto);					
			}
		});	
	}
	} */

	$(function() {
		
		tabla_totales();

		<?php if($num_rows > 0){ ?>
		$('#cmb_mone_id').attr('disabled','disabled');
		$('#cmb_mone_id').attr('disabled','disabled');
		doc = 	$('#txt_ven_cli_doc').val();
		tot = 	$('#txt_ven_tot').val();
		cmb_doc_id('',doc,tot);
		
		<?php }else{
		?>
		$('#cmb_mone_id').removeAttr("disabled");
		$('#cmb_puntoventa_id').removeAttr("disabled");
		<?php	
		}?>

		var nFilas = $("#hdd_ven_numite").val();
  if(nFilas>0){
  	$('#tabcliente .nav-tabs a:last').tab('show'); 
  }
  $("#txt_importe_cliente").attr('placeholder',$("#txt_ven_tot").val())

	/* 	$("#txt_importe_cliente").keyup(function() {		
			calcular_vuelto();
		}); */

		
	/* $("#txt_ven_des").keyup(function(e){
				des = $("#txt_ven_des").val();
				
				totsindes = <?php echo $total; ?>;				

				if(des > totsindes){
					des = 0;
					$("#txt_ven_des").val(0);
					toastr["error"]('El descuento no puede ser mayor al total de la venta');
				}
					
				totcondes = totsindes - des;
				igv = (totcondes*0.18)/1.18;
				valven = totcondes/1.18;
				
				$("#txt_ven_tot").val(new NumberFormat(totcondes).toFormatted());
				$("#txt_ven_igv").val(new NumberFormat(igv).toFormatted());
				$("#txt_ven_valven").val(new NumberFormat(valven).toFormatted());
				$("#txt_ven_totsdes").val(new NumberFormat(totsindes).toFormatted());
				venpag_aut();
				
		});
 */

	// $("#txt_ven_des").keydown(function(e){
			// if (e.which == 13){
				// totsindes =<?php echo $total;  ?>;				
				// des = $("#txt_ven_des").val();
				
				// totcondes = totsindes - des;
				
				// $("#txt_ven_tot").val(totcondes.toFixed(2));
				// $("#txt_ven_totsdes").val(totsindes.toFixed(2));
				// venpag_aut();
				// return false;
				// }
		// });

	
		
		$('#tabla_venta_car td input').keydown(function(ev) {
			if(ev.keyCode == 13 && !$(this).attr('readonly')) {
			
			var cat_id = $(this).attr('data-cat_id');
			var mar_id = $(this).attr('data-mar_id');
			var cantidad = $(this).parent().parent().find('input[data-cantidad]').val();
			var preven = $(this).parent().parent().find('input[data-preven]').val();
			var des = $(this).parent().parent().find('input[data-des]').val();
			var tipdes = $(this).attr('data-tipdes');
			var tip = $(this).attr('data-tip');
			var est = $(this).attr('data-est');
				
			if(tip=="des"){
					
				preuni =  $(this).parent().parent().find('input[data-preven]').val();
				agregar_producto('agregar', cat_id, cantidad, preuni, mar_id,des);
			
			}else if(tip=="pretot"){
				
			var pretot = $(this).val();
			
			preuni = pretot.toString().replace(',','')/ cantidad ;	
			agregar_producto('agregar', cat_id, cantidad,preuni,mar_id,des,'','',est);
			
			}else if(tip=="valtot"){
				
			// var valtot = $(this).val();
			// valuni =  new NumberFormat(valtot).toFormatted()/new NumberFormat(cantidad).toFormatted();
			
			//alert(valuni);
			
			// agregar_producto('agregar', cat_id, cantidad, new NumberFormat(valuni).toFormatted(), mar_id,des,'','',est);
			
			}else if(tip=="preuni"){
				
			var preuni = $(this).val();
			
			agregar_producto('agregar', cat_id, cantidad,preuni,mar_id,des,'','',est);
			
			}else{
				agregar_producto('agregar', cat_id, cantidad, preven,mar_id,des,'','',est);
			}	
				
				
				
				$(this).attr('readonly', 'true');
				$(this).parent().removeClass('editando');
				return false;
			}
		});

		$('#tabla_venta_car td input').parent().click(function(ev) {
			var $input = $(this).find('input');
			var $td = $input.parent().addClass('editando');
			$input.removeAttr('readonly').focus().select();
		});

		$('#tabla_venta_car td input').blur(function(event) {
			$(this).val($(this).attr('data-original'));
			$(this).attr('readonly', 'true');
			$(this).parent().removeClass('editando');
		});

		$('#tabla_venta_car td input').keydown(function(ev) {
			if(ev.keyCode==27){
				$(this).val($(this).attr('data-original'));
				$(this).attr('readonly', 'true');
				$(this).parent().removeClass('editando');
			}
		});

	/* 	$( ".btn_editar" ).click(function() { 
			var $input = $(this).parent().parent().find('input[data-cantidad]');
			var $td = $input.parent().addClass('editando');
			$input.removeAttr('readonly').focus().select();
		}); */

		$( ".btn_eliminar" ).click(function() { 
			
			var indice = $(this).attr('data-indice');
				
			if(confirm('¿Seguro de quitar el item?')){
				agregar_producto('quitar', indice);
			}
		});

		$( ".cmb_estado" ).change(function() { 
			
			var cat_id = $(this).attr('data-cat_id');
			var mar_id = $(this).attr('data-mar_id');
			var cantidad = $(this).attr("data-cantidad");
			var preven = $(this).attr("data-preven");
			var des = 0;
			var tipdes = $(this).attr('data-tipdes');
			var tip = $(this).attr('data-tip');
			var est = $(this).val();
			
			agregar_producto('agregar', cat_id, cantidad, preven,mar_id,des,'','',est);
			
			
			
		});


	}); 
	
	
function tabla_totales()
{

	$.ajax({
		type: "POST",
		url: "../compra/tabla_totales.php",
		async:true,
		dataType: "html", 
		data: ({
			vista: 'venta_form'
		}),                   
		beforeSend: function() {
				
	
			$('#div_tablatotales').addClass("ui-state-disabled");
        },
		success: function(html){
			$('#div_tablatotales').html(html);
		},
		complete: function(){			
			$('#div_tablatotales').removeClass("ui-state-disabled");
	
		}
	});     
}


</script>


